
#ifndef _argument

#define _argument


#include "text.h"

#include "class.h"

#include "array.h"

#include "text.h"

#include "variable.h"

#include "string.h"	

#include <stdint.h>



struct array * argument_getArgumentDatatypes( struct array * arguments, struct array * variables  );

int argument_determineDatatypeOfArgument( char * argumentDeclaration, struct array * variables );

#endif